-- ****
-- ==>> DB-VERSION: 1

-- Structure of table 'options', table indispensable
CREATE TABLE "options" (
  "key" text NOT NULL DEFAULT '' UNIQUE,
  "value" text NOT NULL DEFAULT ''
);

-- Structure of table 'purchases', table indispensable
CREATE TABLE "purchases" (
	"product_id" text NOT NULL,
	"bought" int DEFAULT '0',
	"qty" int DEFAULT '0',
	PRIMARY KEY ("product_id")
);

-- Structure of table 'purchase_transactions', table indispensable
CREATE TABLE "purchase_transactions" (
	"transaction_id" integer NOT NULL UNIQUE,
	"receipt" text DEFAULT '',
	"date_started" int DEFAULT '0',
	"date_accepted" int DEFAULT '0',
	"validated" int DEFAULT '0',
	PRIMARY KEY ("transaction_id")
);

-- Structure of table 'cache_files', table indispensable
CREATE TABLE "cache_files" (
	"unique_id" text NOT NULL,
	"filemtime" int DEFAULT '0',
	"online_url" text NOT NULL,
	"delta" int DEFAULT '0',
	"download_date"  int DEFAULT '0',
	"last_load_date" int DEFAULT '0',
	PRIMARY KEY ("unique_id")
);